apiVersion: apps/v1
kind: Deployment
metadata:
  name: ims-deployment
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ims
  template:
    metadata:
      labels:
        app: ims
    spec:
      containers:
        - name: ims
          image: REGISTRY/NAMESPACE/IMAGE:TAG
          resources:
            limits:
              memory: 2048Mi
              cpu: 100m
          ports:
            - containerPort: 10001
          env:
            - name: SPRING_PROFILES_ACTIVE
              valueFrom:
                configMapKeyRef:
                  name: ims-map
                  key: SPRING_PROFILES_ACTIVE